package cn.superdesk.uniorder.dao.mapper.thirdpart.szhtxx.electronicInvoice;

import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxXmxx;
import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxXmxxExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SzhtxxElectronicInvoiceFptxxXmxxMapper {
    long countByExample(SzhtxxElectronicInvoiceFptxxXmxxExample example);

    int deleteByExample(SzhtxxElectronicInvoiceFptxxXmxxExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SzhtxxElectronicInvoiceFptxxXmxx record);

    int insertSelective(SzhtxxElectronicInvoiceFptxxXmxx record);

    List<SzhtxxElectronicInvoiceFptxxXmxx> selectByExample(SzhtxxElectronicInvoiceFptxxXmxxExample example);

    SzhtxxElectronicInvoiceFptxxXmxx selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SzhtxxElectronicInvoiceFptxxXmxx record, @Param("example") SzhtxxElectronicInvoiceFptxxXmxxExample example);

    int updateByExample(@Param("record") SzhtxxElectronicInvoiceFptxxXmxx record, @Param("example") SzhtxxElectronicInvoiceFptxxXmxxExample example);

    int updateByPrimaryKeySelective(SzhtxxElectronicInvoiceFptxxXmxx record);

    int updateByPrimaryKey(SzhtxxElectronicInvoiceFptxxXmxx record);
}
